QGIS Application - Bug report #13566
on-the-fly projection errors after changing symbology
2015-10-11 08:40 AM - Flo Ju

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:2.8.3 Regression?: No
Operating System: Fedora Linux 22 KDE Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21608
Description

Having opened vector-layers (SHP) in different SRS (EPSG 31254 and 4258) and using on-the-fly transformation the position of
transformed objects is wrong after changing symbology, tooggle visibility. It also occurs when using the layer from PostGIS. See attached
screen-record.

History

#1 - 2015-10-11 09:50 AM - Anita Graser

Please share some data to reproduce the issue. Can you also have a look if you have the same problem with the current development version?

#2 - 2015-10-11 11:26 AM - Flo Ju
- File geodata3.tar.gz added
- File geodata2.tar.gz added
- File geodatai.tar.gz added

Update with some of the sample data.
Project SRS was defined as ETRS89 (epsg 4258) with AT_GIS_GRID (NTv2-Transformation) manually integrated like described here: [
http://isticktoit.net/?p=371]].

Tomorrow | will have a look if | can reproduce this behaviour in QGIS 2.8.3/Windows and QGIS 2.10.

Thx from Austria

#3 - 2015-10-11 12:54 PM - Jiirgen Fischer

- Category set to Projection Support

#4 - 2015-10-11 01:32 PM - Anita Graser

Can you confirm that this only happens if the NTv2 transformation is configured?

| tried without and couldn't reproduce the issue.

#5 - 2015-10-12 07:45 AM - Flo Ju

Hil
http://isticktoit.net/?p=371

Little Update: Tested it with QGIS 2.10.1 (Windows), with NTv2 for Austria manually configured. Everything went fine and | was not able to reproduce it in

this environment. Will do some tests on the 2.8 LTS/Fedora KDE Plasma 5 today or tomorrow again.

#6 - 2015-10-14 06:56 AM - Flo Ju
- Status changed from Open to Closed

Good news: | have tested it in different environments (2.8 & 2.10 Win, 2.8.3 Linux/Ubuntu) and the problem just occurs in the mentioned F22/KDE

environment and only if WMTS-Layers are involved in the project. In the other mentioned environments everything works fine. | close the issue because it

seems very specific to the F22/KDE-System.

Files

out.ogv 2.8 MB 2015-10-11 Flo Ju

geodatal.tar.gz 2.93 MB 2015-10-11 Flo Ju

geodata2.tar.gz 3.3 MB 2015-10-11 Flo Ju

geodata3.tar.gz 3.3 MB 2015-10-11 Flo Ju
